# prefix for naming the package (choose pd- or %{nil})
%define pkgprefix %{nil}

# version of pd for which it was built
%define pdver   0.37.0

Summary:      PeRColate PD externals library
Name:         %{pkgprefix}percolate
Version:      0.09
Release:      1
License:      See README
Group:        Applications/Multimedia
Source:       PeRColate%{version}-source.zip
URL:          http://www.akustische-kunst.org/puredata/percolate/
BuildRoot:    %{_tmppath}/%{name}-%{version}-root
Requires:     pd >= %{pdver}
Packager:     Fernando Lopez-Lezcano
Vendor: Planet CCRMA
Distribution: Planet CCRMA

BuildRequires: pd >= %{pdver} gcc-c++

%description
PeRColate is a library originally written for Max/MSP and Nato by Dan
Trueman and others. It is a (partial) port of the Synthesis Toolkit
(STK) by Perry Cook. It includes a variety of synthesis objects,
including physical modeling, modal and PhISM (Physically Inspired
Sonic Modeling) class instruments. There are also some other objects,
some of them coming from RTcmix.

%prep
%setup -q -n PeRColate

%build
cd PeRColate_source
%{__make} pd_linux

%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}%{_libdir}/pd/externs
%{__mkdir} -p %{buildroot}%{_libdir}/pd/extra
%{__mkdir} -p %{buildroot}%{_libdir}/pd/doc/5.reference/PeRColate

%{__install} -m 644 PeRColate_help/* %{buildroot}%{_libdir}/pd/doc/5.reference/
(cd %{buildroot}%{_libdir}/pd/doc/5.reference/PeRColate; %{__ln_s} ../*.pd ./)

cd PeRColate_source
%{__install} -m 755 percolate.pd_linux %{buildroot}%{_libdir}/pd/extra

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root)
%doc PeRColate_manual.pdf 
%doc "README\ \(PD\).txt"
%{_libdir}/pd/extra/*
%{_libdir}/pd/doc/5.reference/*

%changelog
* Mon Feb  7 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- spec file cleanup
* Mon Dec 22 2003 Fernando Lopez Lezcano <nando@ccrma.stanford.edu> 0.09-1
- Planet CCRMA release
* Tue Oct  7 2003 Fernando Lopez Lezcano <nando@ccrma.stanford.edu> 0.09-1
- initial build
- added directory inside "5.reference" to group all the PeRColate
  help files in one place, used links to the real files in the
  "5.reference" directory. 
